echo off

set CONSOLEDIR=Console
cd %CONSOLEDIR%

echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTx "640"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTy "480"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultLines "100"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultFont "\"Courier new\""
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultSize "18"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultStyle "Font.BOLD"
echo ------------------------------------------------------------------

javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" Console.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" FrameConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsoleReader.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsolePrinter.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CanvasConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CurseurCanvasConsole.java

cd ..

set DESTDIR=04-Tris

set SRCNAME=RechercheMinimum
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=RecherchePresence
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=RecherchePresenceMethodeSequentielle
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=RecherchePresenceMethodeDichotomique
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TestVitesseRecherche
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=RecherchesDansTableauBooleen
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriSelection
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriInsertion
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriBulle
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriBulleOptimise
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriFusion
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriRapide
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriBulleTableauDeChaines
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar Chaine.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriBulleTableauDeDates
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$Date.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriSelectionTableauDePosition3D
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$Position3D.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=RechercheRacineCarree
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriNaifGraphique
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyCanvas.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyFrame.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique.class
jar uf %SRCNAME%EnConsole.jar Bibliotheque.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriBulleGraphique
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyCanvas.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyFrame.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique.class
jar uf %SRCNAME%EnConsole.jar Bibliotheque.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriInsertionGraphique
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyCanvas.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyFrame.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique.class
jar uf %SRCNAME%EnConsole.jar Bibliotheque.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriSelectionGraphique
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyCanvas.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyFrame.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique.class
jar uf %SRCNAME%EnConsole.jar Bibliotheque.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriFusionGraphique
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar TriFusionGraphiqueEnConsole$Pion.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyCanvas.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyFrame.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique.class
jar uf %SRCNAME%EnConsole.jar Bibliotheque.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TriRapideGraphique
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar TriRapideGraphiqueEnConsole$Pion.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyCanvas.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique$MyFrame.class
jar uf %SRCNAME%EnConsole.jar EcranGraphique.class
jar uf %SRCNAME%EnConsole.jar Bibliotheque.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

echo ------------------------------------------------------------------

pause
